Bug 1020513 - Jython Interactive Console doubly-importing system libraries/jars
Jython Interactive Console doubly-importing system libraries/jars
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: eclipse-pydev (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 15:51 EDT by Andrew Ferrazzutti
Modified: 2015-02-17 12:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:43:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A script for printing the Jython classpath. (235 bytes, text/x-python)
2013-10-17 15:51 EDT, Andrew Ferrazzutti
no flags Details
The output of the reproducer if run as a Jython script. (1.45 KB, text/plain)
2013-10-17 15:52 EDT, Andrew Ferrazzutti
no flags Details
The output of the reproducer if run with the Jython Interactive Console. (2.72 KB, text/plain)
2013-10-17 15:53 EDT, Andrew Ferrazzutti
no flags Details

  None (edit)
Description Andrew Ferrazzutti 2013-10-17 15:51:49 EDT
Created attachment 813530 [details]
A script for printing the Jython classpath.

The Jython Interactive console appears to include system libraries and jars twice. Paths/resources that are not included twice are the directory of the Jython interpreter, and the paths to other PyDev projects in the workspace.

A reproducer script is included. Only running the script in the Interactive Console (with either a "runfile" command or by clicking the "Interactive Console" button on the PyDev toolbar) will output results indicating doubly-included paths. Running the script as a Jython script won't show any duplication.


Version-Release number of selected component (if applicable): 2.8.2
Comment 1 Andrew Ferrazzutti 2013-10-17 15:52:45 EDT
Created attachment 813531 [details]
The output of the reproducer if run as a Jython script.
Comment 2 Andrew Ferrazzutti 2013-10-17 15:53:32 EDT
Created attachment 813532 [details]
The output of the reproducer if run with the Jython Interactive Console.
Comment 3 Andrew Ferrazzutti 2013-10-17 15:54:27 EDT
Comment on attachment 813531 [details]
The output of the reproducer if run as a Jython script.

This is the output I see on my local machine when running the provided test script as a Jython script.
Comment 4 Andrew Ferrazzutti 2013-10-17 15:55:12 EDT
Comment on attachment 813532 [details]
The output of the reproducer if run with the Jython Interactive Console.

This is the output I see on my local machine when running the provided test script with the Interactive Console.
Comment 5 Alexander Kurtakov 2014-01-16 04:21:59 EST
Andrew, what's the state of this bug ?
Comment 6 Andrew Ferrazzutti 2014-01-16 09:19:52 EST
Alex, as far as I can tell, the bug hasn't changed. Just now, I ran my repro script with the Jython I.Console and I get the same doubly-repeated list of imports as I did originally.

I already posted this bug on the Brainwy PyDev tracker (https://sw-brainwy.rhcloud.com/tracker/PyDev/, id 217).
Comment 7 Fedora End Of Life 2015-01-09 15:17:11 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 12:43:14 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.